/*!
    \file    lisoc_it.h
    \brief   the header file of the ISR

*/

#ifndef __LISOC_IT_H
#define __LISOC_IT_H

/* function declarations */
/* this function handles NMI exception */
void NMI_Handler(void);
/* this function handles HardFault exception */
void HardFault_Handler(void);
/* this function handles MemManage exception */
void MemManage_Handler(void);
/* this function handles BusFault exception */
void BusFault_Handler(void);
/* this function handles UsageFault exception */
void UsageFault_Handler(void);
/* this function handles SVC exception */
void SVC_Handler(void);
/* this function handles DebugMon exception */
void DebugMon_Handler(void);
/* this function handles PendSV exception */
void PendSV_Handler(void);
/* this function handles SysTick exception */
void SysTick_Handler(void);

void UART0_Handler(void);
void UART1_Handler(void);
void WDT_Handler(void);
void GPIOA_Handler(void);
void GPIOB_Handler(void);
void QSPI_Handler(void);
void SPIMST_Handler(void);
void SPISLV_Handler(void);
void RTC_Handler(void);



#endif /* __LISOC_IT_H */
